com.genesyslab.wfm8.API.service.config850

## Class CfgMeetingShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgMeetingShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeetingShort
      extends java.lang.Object
      implements java.io.Serializable

  Meeting short info
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId`
    `protected int` | `wmDuration`
    `protected double` | `wmEndDate`
    `protected double` | `wmEndTime`
    `protected int` | `wmExceptionTypeId`
    `protected boolean` | `wmIndividual`
    `protected int` | `wmMeetingId`
    `protected java.lang.String` | `wmName`
    `protected int` | `wmRecurrenceType`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartDate`
    `protected double` | `wmStartTime`
    `protected int` | `wmTimezoneId`
    `protected boolean` | `wmUseMinmaxGroup`
    `protected java.util.List<java.lang.Boolean>` | `wmWeekDays`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeetingShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `double` | `getWmEndDate()` Gets the value of the wmEndDate property.
    `double` | `getWmEndTime()` Gets the value of the wmEndTime property.
    `int` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmMeetingId()` Gets the value of the wmMeetingId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmRecurrenceType()` Gets the value of the wmRecurrenceType property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDate()` Gets the value of the wmStartDate property.
    `double` | `getWmStartTime()` Gets the value of the wmStartTime property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.util.List<java.lang.Boolean>` | `getWmWeekDays()` Gets the value of the wmWeekDays property.
    `int` | `hashCode()`
    `boolean` | `isWmIndividual()` Gets the value of the wmIndividual property.
    `boolean` | `isWmUseMinmaxGroup()` Gets the value of the wmUseMinmaxGroup property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmEndDate(double value)` Sets the value of the wmEndDate property.
    `void` | `setWmEndTime(double value)` Sets the value of the wmEndTime property.
    `void` | `setWmExceptionTypeId(int value)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmIndividual(boolean value)` Sets the value of the wmIndividual property.
    `void` | `setWmMeetingId(int value)` Sets the value of the wmMeetingId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmRecurrenceType(int value)` Sets the value of the wmRecurrenceType property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDate(double value)` Sets the value of the wmStartDate property.
    `void` | `setWmStartTime(double value)` Sets the value of the wmStartTime property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmUseMinmaxGroup(boolean value)` Sets the value of the wmUseMinmaxGroup property.
    `void` | `setWmWeekDays(java.util.List<java.lang.Boolean> wmWeekDays)` Sets the value of the wmWeekDays property.
    `java.lang.String` | `toString()`
    `CfgMeetingShort` | `withWmBUId(int value)`
    `CfgMeetingShort` | `withWmDuration(int value)`
    `CfgMeetingShort` | `withWmEndDate(double value)`
    `CfgMeetingShort` | `withWmEndTime(double value)`
    `CfgMeetingShort` | `withWmExceptionTypeId(int value)`
    `CfgMeetingShort` | `withWmIndividual(boolean value)`
    `CfgMeetingShort` | `withWmMeetingId(int value)`
    `CfgMeetingShort` | `withWmName(java.lang.String value)`
    `CfgMeetingShort` | `withWmRecurrenceType(int value)`
    `CfgMeetingShort` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeetingShort` | `withWmSiteId(java.lang.Integer... values)`
    `CfgMeetingShort` | `withWmSiteIdNSizeIs(int value)`
    `CfgMeetingShort` | `withWmStartDate(double value)`
    `CfgMeetingShort` | `withWmStartTime(double value)`
    `CfgMeetingShort` | `withWmTimezoneId(int value)`
    `CfgMeetingShort` | `withWmUseMinmaxGroup(boolean value)`
    `CfgMeetingShort` | `withWmWeekDays(java.lang.Boolean... values)`
    `CfgMeetingShort` | `withWmWeekDays(java.util.Collection<java.lang.Boolean> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmMeetingId

          protected int wmMeetingId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmExceptionTypeId

          protected int wmExceptionTypeId

    - #### wmStartDate

          protected double wmStartDate

    - #### wmStartTime

          protected double wmStartTime

    - #### wmEndDate

          protected double wmEndDate

    - #### wmEndTime

          protected double wmEndTime

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### wmDuration

          protected int wmDuration

    - #### wmWeekDays

          protected java.util.List<java.lang.Boolean> wmWeekDays

    - #### wmUseMinmaxGroup

          protected boolean wmUseMinmaxGroup

    - #### wmIndividual

          protected boolean wmIndividual

    - #### wmRecurrenceType

          protected int wmRecurrenceType

  - ### Constructor Detail

    - #### CfgMeetingShort

          public CfgMeetingShort()

  - ### Method Detail

    - #### getWmMeetingId

          public int getWmMeetingId()

      Gets the value of the wmMeetingId property.

    - #### setWmMeetingId

          public void setWmMeetingId(int value)

      Sets the value of the wmMeetingId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmExceptionTypeId

          public int getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(int value)

      Sets the value of the wmExceptionTypeId property.

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the value of the wmStartDate property.

    - #### setWmStartDate

          public void setWmStartDate(double value)

      Sets the value of the wmStartDate property.

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the value of the wmStartTime property.

    - #### setWmStartTime

          public void setWmStartTime(double value)

      Sets the value of the wmStartTime property.

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the value of the wmEndDate property.

    - #### setWmEndDate

          public void setWmEndDate(double value)

      Sets the value of the wmEndDate property.

    - #### getWmEndTime

          public double getWmEndTime()

      Gets the value of the wmEndTime property.

    - #### setWmEndTime

          public void setWmEndTime(double value)

      Sets the value of the wmEndTime property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### getWmWeekDays

          public java.util.List<java.lang.Boolean> getWmWeekDays()

      Gets the value of the wmWeekDays property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmWeekDays property.

      For example, to add a new item, do as follows:

              getWmWeekDays().add(newItem);

      Objects of the following type(s) are allowed in the list `Boolean`

    - #### isWmUseMinmaxGroup

          public boolean isWmUseMinmaxGroup()

      Gets the value of the wmUseMinmaxGroup property.

    - #### setWmUseMinmaxGroup

          public void setWmUseMinmaxGroup(boolean value)

      Sets the value of the wmUseMinmaxGroup property.

    - #### isWmIndividual

          public boolean isWmIndividual()

      Gets the value of the wmIndividual property.

    - #### setWmIndividual

          public void setWmIndividual(boolean value)

      Sets the value of the wmIndividual property.

    - #### getWmRecurrenceType

          public int getWmRecurrenceType()

      Gets the value of the wmRecurrenceType property.

    - #### setWmRecurrenceType

          public void setWmRecurrenceType(int value)

      Sets the value of the wmRecurrenceType property.

    - #### withWmMeetingId

          public CfgMeetingShort withWmMeetingId(int value)

    - #### withWmBUId

          public CfgMeetingShort withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgMeetingShort withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgMeetingShort withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgMeetingShort withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgMeetingShort withWmName(java.lang.String value)

    - #### withWmExceptionTypeId

          public CfgMeetingShort withWmExceptionTypeId(int value)

    - #### withWmStartDate

          public CfgMeetingShort withWmStartDate(double value)

    - #### withWmStartTime

          public CfgMeetingShort withWmStartTime(double value)

    - #### withWmEndDate

          public CfgMeetingShort withWmEndDate(double value)

    - #### withWmEndTime

          public CfgMeetingShort withWmEndTime(double value)

    - #### withWmTimezoneId

          public CfgMeetingShort withWmTimezoneId(int value)

    - #### withWmDuration

          public CfgMeetingShort withWmDuration(int value)

    - #### withWmWeekDays

          public CfgMeetingShort withWmWeekDays(java.lang.Boolean... values)

    - #### withWmWeekDays

          public CfgMeetingShort withWmWeekDays(java.util.Collection<java.lang.Boolean> values)

    - #### withWmUseMinmaxGroup

          public CfgMeetingShort withWmUseMinmaxGroup(boolean value)

    - #### withWmIndividual

          public CfgMeetingShort withWmIndividual(boolean value)

    - #### withWmRecurrenceType

          public CfgMeetingShort withWmRecurrenceType(int value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmWeekDays

          public void setWmWeekDays(java.util.List<java.lang.Boolean> wmWeekDays)

      Sets the value of the wmWeekDays property.
      Parameters:
        `wmWeekDays` - allowed object is `Boolean`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.